Subject: Re: Creating something like increasing revision numbers

From: alexandrul <[email-masked]>
Date: Sun, 18 Oct 2009 18:29:22 +0300

Norbert Preining wrote:
> My idea is that git - like subversion - could (if asked to) count each
> commit (global to the repository, irrelevant of the branch) and give it
> a version number. Since we all will use a bare repository on a server
> and pull/push from/to there, I think that something similar could be possible.

I was thinking to set a post-commit hook that reads the current version
from a file, increment and save it, and also set a tag with that value.

Being a DVCS, this kind of versioning can only be trusted on a single repo,
but if you set it on the "main" repo, it should work.

The only drawback could be the ever growing number of tags,
I don't know how it will work with thousands of tags or more.

Have a nice day,
  A.